{"openapi":"3.1.0","info":{"title":"Lupin API","version":"0.1.0","description":"Request schemas are generated from runtime validators. The registration schema describes canonical inputs before normalization. Unconstrained response objects indicate resource responses whose wire fields are not yet modeled."},"servers":[{"url":"https://api.lupin.sh","description":"Production"}],"paths":{"/v0/openapi.json":{"get":{"operationId":"get__v0_openapi_json","summary":"GET /v0/openapi.json","tags":["openapi.json"],"security":[],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/registration":{"get":{"operationId":"get__v0_agent_registration","summary":"Discover Agent Registration","tags":["agent"],"security":[],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/asyncapi.json":{"get":{"operationId":"get__v0_asyncapi_json","summary":"GET /v0/asyncapi.json","tags":["asyncapi.json"],"security":[],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/track/{message_id}":{"get":{"operationId":"get__v0_track_message_id_","summary":"GET /v0/track/{message_id}","tags":["track"],"security":[],"parameters":[{"name":"message_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/register":{"post":{"operationId":"post__v0_agent_register","summary":"Register Autonomous Agent","tags":["agent"],"security":[],"parameters":[{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string","minLength":32,"maxLength":256,"pattern":"^[A-Za-z0-9_-]{32,256}$"},"description":"Secret recovery credential. Reuse with the same canonical username; never log or publish it."}],"responses":{"200":{"description":"Original workspace and active bootstrap key recovered","content":{"application/json":{"schema":{"type":"object","required":["organization_id","project_id","inbox_id","email","api_key","verification_pending","mode","plan","capabilities","limits","links"],"properties":{"organization_id":{"type":"string"},"project_id":{"type":"string"},"inbox_id":{"type":"string"},"email":{"type":"string","format":"email"},"api_key":{"type":"string","description":"Restricted bearer credential for this new workspace. Store privately; never put it in URLs or logs."},"verification_pending":{"type":"boolean","description":"Workspace verification state; a later human claim does not upgrade the original agent key."},"mode":{"const":"autonomous"},"plan":{"const":"Free"},"capabilities":{"type":"object","properties":{"receive_email":{"type":"boolean","const":true},"read_email":{"type":"boolean","const":true},"create_drafts":{"type":"boolean","const":true},"send_email":{"type":"boolean","const":false},"paid_resources":{"type":"boolean","const":false}}},"limits":{"type":"object","properties":{"registrations_per_ip_per_day":{"type":"integer","const":5},"registrations_global_per_day":{"type":"integer","const":100},"inboxes":{"type":"integer","const":3},"domains":{"type":"integer","const":0}}},"links":{"type":"object","required":["console","docs","claim"],"properties":{"console":{"type":"string","format":"uri"},"docs":{"type":"string","format":"uri"},"claim":{"type":"string","format":"uri"}}}}}}}},"201":{"description":"New bounded agent workspace created","content":{"application/json":{"schema":{"type":"object","required":["organization_id","project_id","inbox_id","email","api_key","verification_pending","mode","plan","capabilities","limits","links"],"properties":{"organization_id":{"type":"string"},"project_id":{"type":"string"},"inbox_id":{"type":"string"},"email":{"type":"string","format":"email"},"api_key":{"type":"string","description":"Restricted bearer credential for this new workspace. Store privately; never put it in URLs or logs."},"verification_pending":{"type":"boolean","description":"Workspace verification state; a later human claim does not upgrade the original agent key."},"mode":{"const":"autonomous"},"plan":{"const":"Free"},"capabilities":{"type":"object","properties":{"receive_email":{"type":"boolean","const":true},"read_email":{"type":"boolean","const":true},"create_drafts":{"type":"boolean","const":true},"send_email":{"type":"boolean","const":false},"paid_resources":{"type":"boolean","const":false}}},"limits":{"type":"object","properties":{"registrations_per_ip_per_day":{"type":"integer","const":5},"registrations_global_per_day":{"type":"integer","const":100},"inboxes":{"type":"integer","const":3},"domains":{"type":"integer","const":0}}},"links":{"type":"object","required":["console","docs","claim"],"properties":{"console":{"type":"string","format":"uri"},"docs":{"type":"string","format":"uri"},"claim":{"type":"string","format":"uri"}}}}}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"409":{"$ref":"#/components/responses/Error"},"413":{"$ref":"#/components/responses/Error"},"429":{"description":"Daily registration admission limit reached","headers":{"Retry-After":{"description":"Seconds until the UTC-day admission limit resets.","schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorSchema"}}}},"500":{"$ref":"#/components/responses/Error"},"503":{"$ref":"#/components/responses/Error"}},"description":"Create a Free autonomous workspace, default project, inbox and restricted API key without a human email or provider request. Save the secret Idempotency-Key before calling; exact retries recover the same identity. The initial key cannot send email, create keys or provision paid resources, including after a human claims the workspace.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentRegisterSchema"}}}}}},"/v0/agent/sign-up":{"post":{"operationId":"post__v0_agent_sign_up","summary":"Sign Up","tags":["agent"],"security":[],"parameters":[{"name":"Idempotency-Key","in":"header","required":false,"description":"Secret unguessable creation token. Replays recover the original key only for the same email; keep this token confidential.","schema":{"type":"string","minLength":32,"maxLength":256}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization_id":{"type":"string"},"inbox_id":{"type":"string"},"api_key":{"type":"string"}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentSignupSchema"}}}}}},"/v0/agent/resend-verification":{"post":{"operationId":"post__v0_agent_resend_verification","summary":"POST /v0/agent/resend-verification","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/verify":{"post":{"operationId":"post__v0_agent_verify","summary":"Verify","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"verified":{"type":"boolean"}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentVerifySchema"}}}}}},"/v0/agent/observability":{"get":{"operationId":"get__v0_agent_observability","summary":"GET /v0/agent/observability","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_agent_observability","summary":"PATCH /v0/agent/observability","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/traces":{"post":{"operationId":"post__v0_agent_traces","summary":"POST /v0/agent/traces","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"get":{"operationId":"get__v0_agent_traces","summary":"GET /v0/agent/traces","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/traces/{trace_id}":{"get":{"operationId":"get__v0_agent_traces_trace_id_","summary":"GET /v0/agent/traces/{trace_id}","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"trace_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/browsers/sessions/{session_id}/actions":{"post":{"operationId":"post__v0_browsers_sessions_session_id_actions","summary":"Operate Browser Page","tags":["browsers"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":false,"description":"Required for paid research and page mutations; preserve for retries. Reads do not need an operation key.","schema":{"type":"string","minLength":8,"maxLength":200}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"409":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"action":{"const":"tabs"}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"read"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"navigate"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"},"url":{"type":"string","format":"uri","maxLength":2000}},"required":["action","url"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"new_tab"},"url":{"type":"string","format":"uri","maxLength":2000}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"close_tab"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"}},"required":["action","tab_id"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"click"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"},"selector":{"type":"string","minLength":1,"maxLength":500}},"required":["action","selector"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"fill"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"},"selector":{"type":"string","minLength":1,"maxLength":500},"text":{"type":"string","maxLength":4000}},"required":["action","selector","text"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"select"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"},"selector":{"type":"string","minLength":1,"maxLength":500},"value":{"type":"string","maxLength":1000}},"required":["action","selector","value"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"press"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"},"key":{"type":"string","enum":["Enter","Tab","Escape","Backspace","ArrowDown","ArrowUp","ArrowLeft","ArrowRight","Space"]}},"required":["action","key"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"scroll"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"},"direction":{"type":"string","enum":["up","down"]},"pixels":{"type":"integer","minimum":1,"maximum":4000}},"required":["action","direction"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"back"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"forward"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"reload"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"screenshot"},"tab_id":{"type":"string","minLength":1,"maxLength":200,"pattern":"^[A-Za-z0-9_-]+$"}},"required":["action"],"additionalProperties":false}]}}}}}},"/v0/browsers/research":{"post":{"operationId":"post__v0_browsers_research","summary":"Search or Read the Web","tags":["browsers"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"Idempotency-Key","in":"header","required":true,"description":"Required for paid research and page mutations; preserve for retries. Reads do not need an operation key.","schema":{"type":"string","minLength":8,"maxLength":200}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"409":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"action":{"const":"search"},"query":{"type":"string","minLength":1,"maxLength":500}},"required":["action","query"],"additionalProperties":false},{"type":"object","properties":{"action":{"const":"read"},"url":{"type":"string","format":"uri","maxLength":2000}},"required":["action","url"],"additionalProperties":false}]}}}}}},"/v0/browsers/sessions":{"get":{"operationId":"get__v0_browsers_sessions","summary":"GET /v0/browsers/sessions","tags":["browsers"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"sessions":{"type":"array","items":{"$ref":"#/components/schemas/BrowserSession"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_browsers_sessions","summary":"POST /v0/browsers/sessions","tags":["browsers"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrowserSession"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]{0,62}$","maxLength":63}},"required":["name"]}}}}}},"/v0/browsers/sessions/{session_id}/connect":{"post":{"operationId":"post__v0_browsers_sessions_session_id_connect","summary":"POST /v0/browsers/sessions/{session_id}/connect","tags":["browsers"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrowserSessionAccess"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/browsers/sessions/{session_id}/cdp":{"get":{"operationId":"get__v0_browsers_sessions_session_id_cdp","summary":"Connect to a browser session over CDP","tags":["browsers"],"security":[{"browserSessionToken":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"101":{"description":"CDP WebSocket connection established"},"401":{"$ref":"#/components/responses/Error"},"409":{"$ref":"#/components/responses/Error"},"426":{"description":"WebSocket upgrade required"},"502":{"$ref":"#/components/responses/Error"}},"description":"WebSocket upgrade using the five-minute session capability returned by the connect action. Pass the returned connect_url directly to a CDP client. Lupin rechecks the issuing API key's current permissions and revocation before upgrading."}},"/v0/browsers/sessions/{session_id}":{"delete":{"operationId":"delete__v0_browsers_sessions_session_id_","summary":"DELETE /v0/browsers/sessions/{session_id}","tags":["browsers"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/capabilities":{"get":{"operationId":"get__v0_capabilities","summary":"GET /v0/capabilities","tags":["capabilities"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/provider-readiness":{"get":{"operationId":"get__v0_provider_readiness","summary":"GET /v0/provider-readiness","tags":["provider-readiness"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/voice/media/{call_id}":{"get":{"operationId":"get__v0_voice_media_call_id_","summary":"GET /v0/voice/media/{call_id}","tags":["voice"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"call_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/voice/llm/{number_id}/chat/completions":{"post":{"operationId":"post__v0_voice_llm_number_id_chat_completions","summary":"POST /v0/voice/llm/{number_id}/chat/completions","tags":["voice"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"number_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/voice/llm/{number_id}/workspace":{"post":{"operationId":"post__v0_voice_llm_number_id_workspace","summary":"POST /v0/voice/llm/{number_id}/workspace","tags":["voice"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"number_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/actions":{"get":{"operationId":"get__v0_agent_actions","summary":"GET /v0/agent/actions","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/actions/{approval_id}/approve":{"post":{"operationId":"post__v0_agent_actions_approval_id_approve","summary":"POST /v0/agent/actions/{approval_id}/approve","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"approval_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/agent/actions/{approval_id}/deny":{"post":{"operationId":"post__v0_agent_actions_approval_id_deny","summary":"POST /v0/agent/actions/{approval_id}/deny","tags":["agent"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"approval_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/voice/preferences":{"get":{"operationId":"get__v0_voice_preferences","summary":"GET /v0/voice/preferences","tags":["voice"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_voice_preferences","summary":"PATCH /v0/voice/preferences","tags":["voice"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/voice/llm/{number_id}/init":{"post":{"operationId":"post__v0_voice_llm_number_id_init","summary":"POST /v0/voice/llm/{number_id}/init","tags":["voice"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"number_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/phone/status":{"get":{"operationId":"get__v0_phone_status","summary":"GET /v0/phone/status","tags":["phone"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/voice/elevenlabs/webhook":{"post":{"operationId":"post__v0_voice_elevenlabs_webhook","summary":"POST /v0/voice/elevenlabs/webhook","tags":["voice"],"security":[],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/connections/catalog":{"get":{"operationId":"get__v0_connections_catalog","summary":"GET /v0/connections/catalog","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/connections":{"get":{"operationId":"get__v0_connections","summary":"GET /v0/connections","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_connections","summary":"POST /v0/connections","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"string"}},"required":["app"]}}}}}},"/v0/connections/{connection_id}/reconnect":{"post":{"operationId":"post__v0_connections_connection_id_reconnect","summary":"POST /v0/connections/{connection_id}/reconnect","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/connections/{connection_id}":{"delete":{"operationId":"delete__v0_connections_connection_id_","summary":"DELETE /v0/connections/{connection_id}","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/connections/{connection_id}/tools":{"get":{"operationId":"get__v0_connections_connection_id_tools","summary":"GET /v0/connections/{connection_id}/tools","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/connections/{connection_id}/tools/{tool_slug}/execute":{"post":{"operationId":"post__v0_connections_connection_id_tools_tool_slug_execute","summary":"POST /v0/connections/{connection_id}/tools/{tool_slug}/execute","tags":["connections"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"tool_slug","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/status":{"get":{"operationId":"get__v0_billing_status","summary":"GET /v0/billing/status","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/catalog":{"get":{"operationId":"get__v0_billing_catalog","summary":"GET /v0/billing/catalog","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/usage":{"get":{"operationId":"get__v0_billing_usage","summary":"GET /v0/billing/usage","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/policies/sync":{"post":{"operationId":"post__v0_billing_policies_sync","summary":"POST /v0/billing/policies/sync","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/enroll":{"post":{"operationId":"post__v0_billing_enroll","summary":"POST /v0/billing/enroll","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/settings":{"get":{"operationId":"get__v0_billing_settings","summary":"GET /v0/billing/settings","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_billing_settings","summary":"POST /v0/billing/settings","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/invoices":{"get":{"operationId":"get__v0_billing_invoices","summary":"GET /v0/billing/invoices","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/upcoming":{"get":{"operationId":"get__v0_billing_upcoming","summary":"GET /v0/billing/upcoming","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/checkout":{"post":{"operationId":"post__v0_billing_checkout","summary":"POST /v0/billing/checkout","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"plan":{"type":"string","enum":["Developer","Startup"]}},"required":["plan"]}}}}}},"/v0/billing/portal":{"post":{"operationId":"post__v0_billing_portal","summary":"POST /v0/billing/portal","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/webhooks":{"post":{"operationId":"post__v0_billing_webhooks","summary":"POST /v0/billing/webhooks","tags":["billing"],"security":[{"stripeSignature":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookV0Schema"}}}},"description":"Stripe provider callback. Verify the stripe-signature HMAC over the exact raw JSON body and reject timestamps older than five minutes."}},"/v0/billing/change-plan/preview":{"post":{"operationId":"post__v0_billing_change_plan_preview","summary":"POST /v0/billing/change-plan/preview","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/change-plan":{"post":{"operationId":"post__v0_billing_change_plan","summary":"POST /v0/billing/change-plan","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/storage":{"get":{"operationId":"get__v0_billing_storage","summary":"GET /v0/billing/storage","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/billing/storage/retention":{"post":{"operationId":"post__v0_billing_storage_retention","summary":"POST /v0/billing/storage/retention","tags":["billing"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/usage/ledger":{"get":{"operationId":"get__v0_usage_ledger","summary":"GET /v0/usage/ledger","tags":["usage"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/usage/events":{"get":{"operationId":"get__v0_usage_events","summary":"GET /v0/usage/events","tags":["usage"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/budgets":{"get":{"operationId":"get__v0_budgets","summary":"GET /v0/budgets","tags":["budgets"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_budgets","summary":"POST /v0/budgets","tags":["budgets"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/budgets/{budget_id}":{"delete":{"operationId":"delete__v0_budgets_budget_id_","summary":"DELETE /v0/budgets/{budget_id}","tags":["budgets"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"budget_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/operations/{operation_id}/result":{"get":{"operationId":"get__v0_operations_operation_id_result","summary":"GET /v0/operations/{operation_id}/result","tags":["operations"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"operation_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/operations/{operation_id}":{"get":{"operationId":"get__v0_operations_operation_id_","summary":"GET /v0/operations/{operation_id}","tags":["operations"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"operation_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/organizations":{"get":{"operationId":"get__v0_organizations","summary":"Get Organization","tags":["organizations"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/auth/me":{"get":{"operationId":"get__v0_auth_me","summary":"Who Am I","tags":["auth"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/organizations/move":{"post":{"operationId":"post__v0_organizations_move","summary":"Move Organization Into Another","tags":["organizations"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"409":{"description":"Durable organization move unavailable or ownership conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorSchema"}}}},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["target_organization_id","target_api_key"],"properties":{"target_organization_id":{"type":"string"},"target_api_key":{"type":"string","writeOnly":true,"description":"Active full organization key belonging to the exact target. Durable workspace moves are unavailable; use human workspace ownership instead."}}}}}},"deprecated":true,"description":"Durable workspace merging is unavailable: subscriptions, private credentials and provider journals cannot be reassigned by this endpoint. No durable resources are moved. Ownership can be managed through the human console."}},"/v0/emails/inboxes":{"get":{"operationId":"get__v0_emails_inboxes","summary":"List Inboxes","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"inboxes":{"type":"array","items":{"$ref":"#/components/schemas/Inbox"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_emails_inboxes","summary":"Create Inbox","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Inbox"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInboxV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_","summary":"Get Inbox","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Inbox"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_emails_inboxes_inbox_id_","summary":"Update Inbox","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Inbox"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInboxV0Schema"}}}}},"delete":{"operationId":"delete__v0_emails_inboxes_inbox_id_","summary":"Delete Inbox","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/threads":{"get":{"operationId":"get__v0_emails_threads","summary":"List Threads","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"threads":{"type":"array","items":{"$ref":"#/components/schemas/Thread"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/threads/search":{"get":{"operationId":"get__v0_emails_threads_search","summary":"Search Threads","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/threads/{thread_id}":{"get":{"operationId":"get__v0_emails_threads_thread_id_","summary":"Get Thread","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Thread"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_emails_threads_thread_id_","summary":"Update Thread","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Thread"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateThreadV0Schema"}}}}},"delete":{"operationId":"delete__v0_emails_threads_thread_id_","summary":"Delete Thread","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/threads/{thread_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_emails_threads_thread_id_attachments_attachment_id_","summary":"Get Attachment","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/threads":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_threads","summary":"List Threads","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"threads":{"type":"array","items":{"$ref":"#/components/schemas/Thread"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/threads/search":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_threads_search","summary":"Search Threads","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/threads/{thread_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_threads_thread_id_","summary":"Get Thread","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Thread"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_emails_inboxes_inbox_id_emails_threads_thread_id_","summary":"Update Thread","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Thread"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateThreadV0Schema"}}}}},"delete":{"operationId":"delete__v0_emails_inboxes_inbox_id_emails_threads_thread_id_","summary":"Delete Thread","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/threads/{thread_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_threads_thread_id_attachments_attachment_id_","summary":"Get Attachment","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/threads":{"get":{"operationId":"get__v0_projects_project_id_emails_threads","summary":"List Threads","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"threads":{"type":"array","items":{"$ref":"#/components/schemas/Thread"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/threads/search":{"get":{"operationId":"get__v0_projects_project_id_emails_threads_search","summary":"Search Threads","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/threads/{thread_id}":{"get":{"operationId":"get__v0_projects_project_id_emails_threads_thread_id_","summary":"Get Thread","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Thread"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_projects_project_id_emails_threads_thread_id_","summary":"Update Thread","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Thread"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateThreadV0Schema"}}}}},"delete":{"operationId":"delete__v0_projects_project_id_emails_threads_thread_id_","summary":"Delete Thread","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/threads/{thread_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_projects_project_id_emails_threads_thread_id_attachments_attachment_id_","summary":"Get Attachment","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"thread_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails":{"get":{"operationId":"get__v0_emails","summary":"List Emails","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"emails":{"type":"array","items":{"$ref":"#/components/schemas/Message"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/search":{"get":{"operationId":"get__v0_emails_search","summary":"Search Emails","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails","summary":"List Emails","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"emails":{"type":"array","items":{"$ref":"#/components/schemas/Message"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/search":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_search","summary":"Search Emails","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/batch-get":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_batch_get","summary":"Batch Get Emails","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchGetV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/batch-update":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_batch_update","summary":"Batch Update Emails","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchUpdateV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/send":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_send","summary":"Send Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessageV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/{email_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_email_id_","summary":"Get Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_emails_inboxes_inbox_id_emails_email_id_","summary":"Update Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMessageV0Schema"}}}}},"delete":{"operationId":"delete__v0_emails_inboxes_inbox_id_emails_email_id_","summary":"Delete Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/{email_id}/raw":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_email_id_raw","summary":"Get Raw Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/{email_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_email_id_attachments_attachment_id_","summary":"Get Attachment","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/{email_id}/reply":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_email_id_reply","summary":"Reply To Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplyV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/{email_id}/reply-all":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_email_id_reply_all","summary":"Reply All Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplyV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/{email_id}/forward":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_email_id_forward","summary":"Forward Email","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"email_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForwardV0Schema"}}}}}},"/v0/internal/inbound":{"post":{"operationId":"post__v0_internal_inbound","summary":"POST /v0/internal/inbound","tags":["internal"],"security":[{"bearerAuth":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/drafts":{"get":{"operationId":"get__v0_emails_drafts","summary":"List Drafts","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"drafts":{"type":"array","items":{"$ref":"#/components/schemas/Draft"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/drafts/{draft_id}":{"get":{"operationId":"get__v0_emails_drafts_draft_id_","summary":"Get Draft","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Draft"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/drafts/{draft_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_emails_drafts_draft_id_attachments_attachment_id_","summary":"Get Attachment","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/drafts":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_drafts","summary":"List Drafts","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"drafts":{"type":"array","items":{"$ref":"#/components/schemas/Draft"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_drafts","summary":"Create Draft","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Draft"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDraftV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/drafts/{draft_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_drafts_draft_id_","summary":"Get Draft","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Draft"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"patch":{"operationId":"patch__v0_emails_inboxes_inbox_id_emails_drafts_draft_id_","summary":"Update Draft","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Draft"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDraftV0Schema"}}}}},"delete":{"operationId":"delete__v0_emails_inboxes_inbox_id_emails_drafts_draft_id_","summary":"Delete Draft","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/drafts/{draft_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_drafts_draft_id_attachments_attachment_id_","summary":"Get Attachment","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/drafts/{draft_id}/send":{"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_drafts_draft_id_send","summary":"Send Draft","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/drafts":{"get":{"operationId":"get__v0_projects_project_id_emails_drafts","summary":"List Drafts","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"limit":{"type":"integer"},"next_page_token":{"type":"string"},"drafts":{"type":"array","items":{"$ref":"#/components/schemas/Draft"}}},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/drafts/{draft_id}":{"get":{"operationId":"get__v0_projects_project_id_emails_drafts_draft_id_","summary":"Get Draft","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Draft"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/drafts/{draft_id}/attachments/{attachment_id}":{"get":{"operationId":"get__v0_projects_project_id_emails_drafts_draft_id_attachments_attachment_id_","summary":"Get Attachment","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"draft_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachment_id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resource content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/lists/{direction}/{type}":{"get":{"operationId":"get__v0_emails_lists_direction_type_","summary":"List Entries","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_emails_lists_direction_type_","summary":"Create List Entry","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateListEntryV0Schema"}}}}}},"/v0/emails/lists/{direction}/{type}/{entry}":{"get":{"operationId":"get__v0_emails_lists_direction_type_entry_","summary":"Get List Entry","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"entry","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"delete":{"operationId":"delete__v0_emails_lists_direction_type_entry_","summary":"Delete List Entry","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"entry","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/emails/inboxes/{inbox_id}/emails/lists/{direction}/{type}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_lists_direction_type_","summary":"List Entries","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_emails_inboxes_inbox_id_emails_lists_direction_type_","summary":"Create List Entry","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateListEntryV0Schema"}}}}}},"/v0/emails/inboxes/{inbox_id}/emails/lists/{direction}/{type}/{entry}":{"get":{"operationId":"get__v0_emails_inboxes_inbox_id_emails_lists_direction_type_entry_","summary":"Get List Entry","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"entry","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"delete":{"operationId":"delete__v0_emails_inboxes_inbox_id_emails_lists_direction_type_entry_","summary":"Delete List Entry","tags":["emails"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"inbox_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"entry","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}}},"/v0/projects/{project_id}/emails/lists/{direction}/{type}":{"get":{"operationId":"get__v0_projects_project_id_emails_lists_direction_type_","summary":"List Entries","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"page_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}}},"post":{"operationId":"post__v0_projects_project_id_emails_lists_direction_type_","summary":"Create List Entry","tags":["projects"],"security":[{"bearerAuth":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}}},"400":{"$ref":"#/components/responses/Error"},"401":{"$ref":"#/components/responses/Error"},"403":{"$ref":"#/components/responses/Error"},"404":{"$ref":"#/components/responses/Error"},"500":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateL
[...]
